summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
Diffstat (limited to 'graphics')
-rw-r--r--graphics/yesplz/README31
-rw-r--r--graphics/yesplz/slack-desc19
-rw-r--r--graphics/yesplz/yesplz.SlackBuild76
-rw-r--r--graphics/yesplz/yesplz.info10
4 files changed, 136 insertions, 0 deletions
diff --git a/graphics/yesplz/README b/graphics/yesplz/README
new file mode 100644
index 0000000000..0635f8f9bf
--- /dev/null
+++ b/graphics/yesplz/README
@@ -0,0 +1,31 @@
+WELCOME to the yesplz SlackBuild README file! Here is some ascii pr0n:
+
+
+ .======================.
+ || ||
+ || $ unixp0rn?? ||
+ || $ __yesplz!!! ||
+ |! !|
+ `----o------------o----'
+ / +++++++++++++++++++ //
+ / +++++++++++++++++++ //
+ / +++++++++++++++++++ //
+ [=======================]
+
+ "unixporn.com is not porn, it's unix!"
+
+
+It's a site to post gratuitous screenshots of your desktop so you can
+become popular among your friends, or have a place to gawk at cool Linux
+desktops when you're stuck at work staring at $OTHER OS. yesplz is a
+command line utility written by sigFLUP that will take a screenshot, tag
+your photo, log into unixporn.com, post the picture to your photo album,
+and return an ascii bunny on success.
+
+In order for it to work, you must have an account at unixporn.com but
+that is free and you can enter nothing but fake information into it.
+
+Then simply run yesplz --help to see the possible tags and instructions
+for yesplz.
+
+Enjoy!
diff --git a/graphics/yesplz/slack-desc b/graphics/yesplz/slack-desc
new file mode 100644
index 0000000000..44fbc702bf
--- /dev/null
+++ b/graphics/yesplz/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+yesplz: yesplz (screenshot and upload tool)
+yesplz:
+yesplz: yesplz is sigFLUP's unixporn.com cli screenshot and upload tool.
+yesplz: If you have an account on unixporn.com you can use yesplz to take,
+yesplz: tag, and upload a screenshot of your desktop and add it to an album
+yesplz: on unixporn.com, a website for gratuitous *nix desktop screenshots.
+yesplz:
+yesplz: Requires libjpeg, X11, pthreads, all of which are inluded in a
+yesplz: stock Slackware install.
+yesplz:
+yesplz:
diff --git a/graphics/yesplz/yesplz.SlackBuild b/graphics/yesplz/yesplz.SlackBuild
new file mode 100644
index 0000000000..8ac6e41ebe
--- /dev/null
+++ b/graphics/yesplz/yesplz.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for sigFLUP's yesplz
+#
+# this SlackBuild maintained by Klaatu at member.fsf.org
+#
+# but hey lets face it, rworkman and the slackbuilds posse are
+# the people who really make this stuff happen
+
+PRGNAM=yesplz
+VERSION=aug_4_2010
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ else
+ SLKCFLAGS="-02"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM\_$VERSION
+tar xvf $CWD/$PRGNAM\_$VERSION.tgz
+cd $PRGNAM\_$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,g-w+r,o-w+r .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --program-prefix="" \
+ --build=$ARCH-slackware-linux
+
+## make install is broken and installs the file to the build system.
+make yesplz
+
+install -D -m0755 -s $PRGNAM $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/yesplz/yesplz.info b/graphics/yesplz/yesplz.info
new file mode 100644
index 0000000000..080ea886be
--- /dev/null
+++ b/graphics/yesplz/yesplz.info
@@ -0,0 +1,10 @@
+PRGNAM="yesplz"
+VERSION="aug_4_2010"
+HOMEPAGE="http://uberleethackerforce.deepgeek.us"
+DOWNLOAD="http://hobones.dogsoft.net/yesplz_aug_4_2010.tgz"
+MD5SUM="5dfbc9adc87ac088c8ef255d7fb86891"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="klaatu"
+EMAIL="klaatu@member.fsf.org"
+APPROVED="dsomero"